Skip to content

Get a day settlement

GET
/api/app/payment-processor/{id}/day-settlement
curl --request GET \
--url https://test.unipay.co.zw/api/app/payment-processor/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/day-settlement \
--header 'Authorization: Bearer <token>'
id
required
string format: uuid

OK

Media typeapplication/json
object
successful
boolean
message
string
nullable
isNewRecord
boolean
status
string
nullable
errorCode
string
nullable
settlementId
string format: uuid
nullable
settlementDate
string format: date
nullable
transferReference
string
nullable
currency
string
nullable
reconDate
string format: date-time
nullable
reconTimeZone
string
nullable
reconWindowStartUtc
string format: date-time
nullable
reconWindowEndUtc
string format: date-time
nullable
reportedTotal
number format: double
feeAmount
number format: double
transferredAmount
number format: double
matchedTotal
number format: double
reportedCount
integer format: int32
matchedCount
integer format: int32
unmatchedByUnipay
Array<object>
nullable
object
rrn
string
nullable
billNo
string
nullable
amount
number format: double
unipayAmount
number format: double
nullable
reason
string
nullable
unsettledByProcessor
Array<object>
nullable
object
rrn
string
nullable
billNo
string
nullable
amount
number format: double
unipayAmount
number format: double
nullable
reason
string
nullable
difference
number format: double
isBalanced
boolean
Examplegenerated
{
"successful": true,
"message": "example",
"isNewRecord": true,
"status": "example",
"errorCode": "example",
"settlementId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"settlementDate": "2026-04-15",
"transferReference": "example",
"currency": "example",
"reconDate": "2026-04-15T12:00:00Z",
"reconTimeZone": "example",
"reconWindowStartUtc": "2026-04-15T12:00:00Z",
"reconWindowEndUtc": "2026-04-15T12:00:00Z",
"reportedTotal": 1,
"feeAmount": 1,
"transferredAmount": 1,
"matchedTotal": 1,
"reportedCount": 1,
"matchedCount": 1,
"unmatchedByUnipay": [
{
"rrn": "example",
"billNo": "example",
"amount": 1,
"unipayAmount": 1,
"reason": "example"
}
],
"unsettledByProcessor": [
{
"rrn": "example",
"billNo": "example",
"amount": 1,
"unipayAmount": 1,
"reason": "example"
}
],
"difference": 1,
"isBalanced": true
}

Bad Request

Media typeapplication/json
object
error
object
code
string
nullable
message
string
nullable
details
string
nullable
data
object
key
additional properties
validationErrors
Array<object>
nullable
object
message
string
nullable
members
Array<string>
nullable
Examplegenerated
{
"error": {
"code": "example",
"message": "example",
"details": "example",
"data": {
"additionalProperty": "example"
},
"validationErrors": [
{
"message": "example",
"members": [
"example"
]
}
]
}
}

Unauthorized: token missing, invalid or expired. Empty body.

Forbidden: the token lacks the scope this call needs. Empty body. (Refusals specific to your organisation use the error object.)

Not found: wrong path. Empty body.

Internal Server Error

Media typeapplication/json
object
error
object
code
string
nullable
message
string
nullable
details
string
nullable
data
object
key
additional properties
validationErrors
Array<object>
nullable
object
message
string
nullable
members
Array<string>
nullable
Examplegenerated
{
"error": {
"code": "example",
"message": "example",
"details": "example",
"data": {
"additionalProperty": "example"
},
"validationErrors": [
{
"message": "example",
"members": [
"example"
]
}
]
}
}

UniPay API v1 · build e1eb5c49 · Powered by Axis Solutions